Subject: bug#68678: closed (Re: bug#68678: 29.1; package-recompile-all should skip system packages in package-directory-list)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 11 Feb 2024 21:54:02 +0000

Your bug report

#68678: 29.1; package-recompile-all should skip system packages in package-directory-list

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68678: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68678
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68678: 29.1; package-recompile-all should skip system packages in package-directory-list
From: Philip Kaludercic <[email-masked]>
To: Allen Li <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Feb 2024 21:52:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Philip Kaludercic <[email-masked]> writes:

> Allen Li <[email-masked]> writes:
>
>> On Sun, Jan 28, 2024 at 1:40 PM Philip Kaludercic <[email-masked]>
>> wrote:
>>>
>>> Allen Li <[email-masked]> writes:
>>> >
>>> > That works for me, though it's possible that someone may want errors
>>> > recompiling user packages surfaced directly.
>>>
>>> That is why I used `with-demoted-errors', which propagates errors if
>>> `debug-on-error' is non-nil.  Or do you mean permanently and
>>> specifically related to this issue, e.g. in form of a user option.
>>
>> My bad, yes, `with-demoted-errors' sounds fine to me.  At the risk of
>> repeating myself,
>> I don't have a use case for surfacing the errors, but I think some
>> other users might.
>
> OK, then this is the patch I propse:
>
>
>
> Any objections?

As there haven't been any comment, I have pushed the patch to master.  Thanks!

Subject: 29.1; package-recompile-all should skip system packages in package-directory-list
From: Allen Li <[email-masked]>
To: [email-masked]
Date: Tue, 23 Jan 2024 15:48:35 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

package-recompile-all currently attempts to recompile all packages,
including the system packages listed in package-directory-list.

System packages are generally byte compiled as part of installation, and
are not writeable by normal users.

package-recompile-all attempts to recompile these, which will almost
certainly error out due to this.

It would be better if package-recompile-all only tries user installed
packages (in package-user-dir), which are more likely to need
recompilation.  Perhaps as a prefix arg option?

In GNU Emacs 29.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.37,
 cairo version 1.16.0) of 2023-09-03, modified by Debian built on
 kokoro-ubuntu
System Description: Debian GNU/Linux rodete